RTEMS: mcPWM_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
mcPWM_struct_tag Struct Reference

## Data Fields
union {
mcPWM_SUBMOD_tag SUBMOD [4]
mcPWM_SUBMOD_tag SUB [4]
struct {
mcPWM_CNT_16B_tag CNT0
mcPWM_INIT_16B_tag INIT0
mcPWM_CTRL2_16B_tag CTRL20
mcPWM_CTRL1_16B_tag CTRL10
mcPWM_VAL_0_16B_tag VAL_00
mcPWM_VAL_1_16B_tag VAL_10
mcPWM_VAL_2_16B_tag VAL_20
mcPWM_VAL_3_16B_tag VAL_30
mcPWM_VAL_4_16B_tag VAL_40
mcPWM_VAL_5_16B_tag VAL_50
int8_t mcPWM_reserved_0014 [4]
mcPWM_OCTRL_16B_tag OCTRL0
mcPWM_STS_16B_tag STS0
mcPWM_INTEN_16B_tag INTEN0
mcPWM_DMAEN_16B_tag DMAEN0
mcPWM_TCTRL_16B_tag TCTRL0
mcPWM_DISMAP_16B_tag DISMAP0
mcPWM_DTCNT0_16B_tag DTCNT00
mcPWM_DTCNT1_16B_tag DTCNT10
int8_t mcPWM_reserved_0028 [8]
mcPWM_CAPTCTRLX_16B_tag CAPTCTRLX0
mcPWM_CAPTCMPX_16B_tag CAPTCMPX0
mcPWM_CVAL0_16B_tag CVAL00
mcPWM_CVAL0CYC_16B_tag CVAL0CYC0
mcPWM_CVAL1_16B_tag CVAL10
mcPWM_CVAL1CYC_16B_tag CVAL1CYC0
int8_t mcPWM_reserved_003c [16]
int8_t mcPWM_reserved_004C_I2 [4]
mcPWM_CNT_16B_tag CNT1
mcPWM_INIT_16B_tag INIT1
mcPWM_CTRL2_16B_tag CTRL21
mcPWM_CTRL1_16B_tag CTRL11
mcPWM_VAL_0_16B_tag VAL_01
mcPWM_VAL_1_16B_tag VAL_11
mcPWM_VAL_2_16B_tag VAL_21
mcPWM_VAL_3_16B_tag VAL_31
mcPWM_VAL_4_16B_tag VAL_41
mcPWM_VAL_5_16B_tag VAL_51
int8_t mcPWM_reserved_0064 [4]
mcPWM_OCTRL_16B_tag OCTRL1
mcPWM_STS_16B_tag STS1
mcPWM_INTEN_16B_tag INTEN1
mcPWM_DMAEN_16B_tag DMAEN1
mcPWM_TCTRL_16B_tag TCTRL1
mcPWM_DISMAP_16B_tag DISMAP1
mcPWM_DTCNT0_16B_tag DTCNT01
mcPWM_DTCNT1_16B_tag DTCNT11
int8_t mcPWM_reserved_0078 [8]
mcPWM_CAPTCTRLX_16B_tag CAPTCTRLX1
mcPWM_CAPTCMPX_16B_tag CAPTCMPX1
mcPWM_CVAL0_16B_tag CVAL01
mcPWM_CVAL0CYC_16B_tag CVAL0CYC1
mcPWM_CVAL1_16B_tag CVAL11
mcPWM_CVAL1CYC_16B_tag CVAL1CYC1
int8_t mcPWM_reserved_008c [16]
int8_t mcPWM_reserved_009C_I2 [4]
mcPWM_CNT_16B_tag CNT2
mcPWM_INIT_16B_tag INIT2
mcPWM_CTRL2_16B_tag CTRL22
mcPWM_CTRL1_16B_tag CTRL12
mcPWM_VAL_0_16B_tag VAL_02
mcPWM_VAL_1_16B_tag VAL_12
mcPWM_VAL_2_16B_tag VAL_22
mcPWM_VAL_3_16B_tag VAL_32
mcPWM_VAL_4_16B_tag VAL_42
mcPWM_VAL_5_16B_tag VAL_52
int8_t mcPWM_reserved_00b4 [4]
mcPWM_OCTRL_16B_tag OCTRL2
mcPWM_STS_16B_tag STS2
mcPWM_INTEN_16B_tag INTEN2
mcPWM_DMAEN_16B_tag DMAEN2
mcPWM_TCTRL_16B_tag TCTRL2
mcPWM_DISMAP_16B_tag DISMAP2
mcPWM_DTCNT0_16B_tag DTCNT02
mcPWM_DTCNT1_16B_tag DTCNT12
int8_t mcPWM_reserved_00c8 [8]
mcPWM_CAPTCTRLX_16B_tag CAPTCTRLX2
mcPWM_CAPTCMPX_16B_tag CAPTCMPX2
mcPWM_CVAL0_16B_tag CVAL02
mcPWM_CVAL0CYC_16B_tag CVAL0CYC2
mcPWM_CVAL1_16B_tag CVAL12
mcPWM_CVAL1CYC_16B_tag CVAL1CYC2
int8_t mcPWM_reserved_00dc [16]
int8_t mcPWM_reserved_00EC_I2 [4]
mcPWM_CNT_16B_tag CNT3
mcPWM_INIT_16B_tag INIT3
mcPWM_CTRL2_16B_tag CTRL23
mcPWM_CTRL1_16B_tag CTRL13
mcPWM_VAL_0_16B_tag VAL_03
mcPWM_VAL_1_16B_tag VAL_13
mcPWM_VAL_2_16B_tag VAL_23
mcPWM_VAL_3_16B_tag VAL_33
mcPWM_VAL_4_16B_tag VAL_43
mcPWM_VAL_5_16B_tag VAL_53
int8_t mcPWM_reserved_00104 [4]
mcPWM_OCTRL_16B_tag OCTRL3
mcPWM_STS_16B_tag STS3
mcPWM_INTEN_16B_tag INTEN3
mcPWM_DMAEN_16B_tag DMAEN3
mcPWM_TCTRL_16B_tag TCTRL3
mcPWM_DISMAP_16B_tag DISMAP3
mcPWM_DTCNT0_16B_tag DTCNT03
mcPWM_DTCNT1_16B_tag DTCNT13
int8_t mcPWM_reserved_00118 [8]
mcPWM_CAPTCTRLX_16B_tag CAPTCTRLX3
mcPWM_CAPTCMPX_16B_tag CAPTCMPX3
mcPWM_CVAL0_16B_tag CVAL03
mcPWM_CVAL0CYC_16B_tag CVAL0CYC3
mcPWM_CVAL1_16B_tag CVAL13
mcPWM_CVAL1CYC_16B_tag CVAL1CYC3
int8_t mcPWM_reserved_0012c [16]
int8_t mcPWM_reserved_013C_E2 [4]
} |
}; |
mcPWM_OUTEN_16B_tag | OUTEN
mcPWM_MASK_16B_tag | MASK
mcPWM_SWCOUT_16B_tag | SWCOUT
mcPWM_DTSRCSEL_16B_tag | DTSRCSEL
mcPWM_MCTRL_16B_tag | MCTRL
int8_t | mcPWM_reserved_014A [2]
mcPWM_FCTRL_16B_tag | FCTRL
mcPWM_FSTS_16B_tag | FSTS
mcPWM_FFILT_16B_tag | FFILT

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h